### Method

# WebKit2 WebView get_snapshot_finish

#### Declaration [src]

    cairo_surface_t*
    webkit_web_view_get_snapshot_finish (
      WebKitWebView* web_view,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous operation started with webkit_web_view_get_snapshot().

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `cairo_surface_t`
| A #cairo_surface_t with the retrieved snapshot or `NULL` in error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.